
QGIS Application - Bug report #12560

QGIS freezes when adding or removing layers in large project

2015-04-13 08:08 AM - Oskar Karlin

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: MAc OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20700

Description

I have a huge project which consists of perhaps 20-50 layers ( XML ) and everything runs smooth until I remove or add another layer to

the project. When I do the program freezes for about 5 minutes and then it works fine again.

History

#1 - 2015-04-13 08:09 AM - Oskar Karlin

Correction: it's not XML files, it's SHP files.

#2 - 2015-04-15 12:08 AM - Gerhard Spieles

Hello,

maybe a similar problem as in #12234

Removing all printcomposer entries, saving and new loading of the project was successful in my case.

Gerhard

#3 - 2015-04-15 02:56 AM - Oskar Karlin

Maybe so. But the thing is, I can't remove my print composers since they are much important to me.

#4 - 2015-04-15 03:09 AM - Giovanni Manghi

Oskar Karlin wrote:

Maybe so. But the thing is, I can't remove my print composers since they are much important to me.

could you just test in a copy of your project? Thanks.

#5 - 2015-06-05 09:38 AM - Saber Razmjooei

- Status changed from Open to Feedback

#6 - 2015-11-10 03:51 AM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.
